## org.eclipse.jst.jsf.metadataprocessors
Interface ITypeDescriptor

All Known Implementing Classes:
  AbstractEnumerationType, AbstractRootTypeDescriptor, ActionType, BindingType, BooleanType, CharacterType, ColorType, ComponentBindingType, ComponentIDType, ContentType, CSSClassType, CSSIdType, CSSStyleType, CurrencyCodeType, DateTimePatternType, DefaultTypeDescriptor, DirectBindingType, DoubleType, EnumerationType, ExpressionBindingType, FacesConfigConverterIDType, FacesConfigIdentifierType, FacesConfigValidatorIDType, IdentifierType, IntegerType, JavaClassType, LanguageCodeType, LengthType, LinkType, LocaleType, LongType, MethodBindingType, MultiSignatureEnumerationType, NumberPatternType, NumberType, ObjectType, PathType, RelativePathType, ResourceBundleType, ScriptType, StringType, TimeZoneType, URIType, ValueBindingType, ValueType, WebPathType

    public interface ITypeDescriptor

Interface describing the runtime type of a metadata enabled annotation. The type descriptor will load the feature adapters for a certain kind of feature that it supports. The type descriptor is registered by an extension point.

Provisional API - subject to change

See Also:
  `IMetaDataEnabledFeature`, `AbstractRootTypeDescriptor`, `AbstractMetaDataEnabledTypeFactory`, `IType`

Method Summary
`java.util.List<IMetaDataEnabledFeature>` `getFeatureAdapters(java.lang.Class processingFeature)`
`IType` `getTypeExtension()`
`void` `setTypeExtension(IType type)`

Method Detail

### setTypeExtension

    void setTypeExtension(IType type)

  Parameters:
    `type` - The IType must be set after the ITypeDescriptor is constructed

### getTypeExtension

    IType getTypeExtension()

  Returns:
    IType Must not be null

### getFeatureAdapters

    java.util.List<IMetaDataEnabledFeature> getFeatureAdapters(java.lang.Class processingFeature)

  Parameters:
    `processingFeature` - interface class
  Returns:
    List of `IMetaDataEnabledFeature`s that support the specified processingFeature interface.